Bug 75496 - mpm_worker_module is not present
mpm_worker_module is not present
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-09 00:53 EDT by Walery Studennikov
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-22 08:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walery Studennikov 2002-10-09 00:53:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
Multi-Processing Module implementing a hybrid multi-threaded multi-process web
server (mpm_worker_module) is not compiled and not supplied in the distribution
of httpd-2. But this is one of a major enchancements of apache-2 and should be
supplied, probably as a separate rpm package. You should provide a choive for
users of the distribution to choose between prefork and worker MPMs.

Version-Release number of selected component (if applicable): 2

How reproducible:

Steps to Reproduce:
/usr/sbin/httpd -l
You should see no worker module compiled in.

Additional info:
Comment 1 Chris Ricker 2002-11-17 14:24:48 EST
I second this.  I realize the multithreading stuff isn't all that stable yet,
but it will only get stable if its available for people to test.... If I'm going
to have to put up with all the pain of using apache 2 (lost functionality due to
modules which don't support it yet and so forth), I'd at least like to get the
benefits of using apache 2. Right now we just have the worst of both worlds ;-)
Comment 2 Joe Orton 2003-01-22 08:43:34 EST
httpd-2.0.40-17 includes an alternative httpd binary, /usr/sbin/httpd.worker,
which uses the worker MPM.  You can choose to use it by putting
HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd.

Be sure to check the httpd.conf changes which come with this - it's better to
use a different CGI module with worker.
Comment 3 Joe Orton 2003-01-22 08:45:22 EST
(don't try and use this worker with PHP - it won't work)

Note You need to log in before you can comment on or make changes to this bug.